cURL
curl --request GET \
--url https://api.comm.com/api/v1/domains/plans/{domainPlan}/rules/{rule} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/domains/plans/{domainPlan}/rules/{rule}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/domains/plans/{domainPlan}/rules/{rule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"country_id": 123,
"sms_route_id": "<string>",
"team_id": "<string>",
"company_id": "<string>",
"meta": {
"tld_name": "com",
"max_sms_per_domain": 50000,
"number_of_domains_in_rotation": 3,
"number_of_domains_in_backlog": 0,
"domain_name_pattern": "<string>"
},
"priority": 0
}
}{
"message": "<string>"
}{
"message": "<string>"
}DomainPlanRules
Get v1domainsplans rules 1
GET
/
v1
/
domains
/
plans
/
{domainPlan}
/
rules
/
{rule}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The domain plan ID
The rule ID
Response
DomainPlanRuleData
Show child attributes
Show child attributes
⌘I